Bug 1748753 - Request to build octave for EPEL 8
Summary: Request to build octave for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: octave
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1790068
TreeView+ depends on / blocked
 
Reported: 2019-09-04 06:37 UTC by adam winberg
Modified: 2020-02-20 05:52 UTC (History)
8 users (show)

Fixed In Version: octave-5.2.0-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-20 05:52:11 UTC
Type: Bug


Attachments (Terms of Use)

Description adam winberg 2019-09-04 06:37:30 UTC
Please build octave for EPEL 8

Comment 1 Orion Poplawski 2019-09-04 23:31:52 UTC
We are currently missing at least the following dependencies in EPEL8:

DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'GraphicsMagick-c++-devel'
DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'ftgl-devel'
DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'gl2ps-devel'
DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'glpk-devel'
DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'lzip'
DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'qrupdate-devel'
DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'qscintilla-devel'
DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'sundials-devel'

Comment 2 Orion Poplawski 2019-09-11 04:06:03 UTC
I think we're down to sundials and it's rather large dep chain now.

Comment 3 Orion Poplawski 2019-09-26 19:15:36 UTC
octave is in epel-playground now

Comment 4 adam winberg 2019-12-18 08:05:32 UTC
Any updates on this, will this be available in testing any time soon?

Comment 5 Fedora Update System 2020-01-26 04:47:04 UTC
FEDORA-EPEL-2020-cb4d9ae86e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cb4d9ae86e

Comment 6 Fedora Update System 2020-01-31 02:04:52 UTC
octave-5.1.0-4.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cb4d9ae86e

Comment 7 Fedora Update System 2020-02-05 13:57:29 UTC
FEDORA-EPEL-2020-cb4d9ae86e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cb4d9ae86e

Comment 8 Fedora Update System 2020-02-06 02:08:53 UTC
octave-5.2.0-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-cb4d9ae86e

Comment 9 Fedora Update System 2020-02-20 05:52:11 UTC
octave-5.2.0-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.